//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 27.05.2025.
//

import SwiftUI

public struct ButtonPassword: View {
    
    let title: String
    let action: () -> ()
    
   public init(title: String, action: @escaping () -> Void) {
        self.title = title
        self.action = action
    }
    
    public var body: some View {
        Button {
            action()
        } label: {
            Text(title)
                .frame(width: 80, height: 80)
                .clipped()
                .background(Color("hex#F5F5F9", bundle: .module))
                .cornerRadius(40)
                .robotoFlex(size: 24, font: .semibold)
                .tracking(0.33)
                .lineSpacing(28)
                .foregroundStyle(Color.black)
        }

    }
}

#Preview {
    ButtonPassword(title: "1") {
        
    }
}
