//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 28.05.2025.
//

import SwiftUI

public struct SnackBarView: View {
    
    @Binding var isShow: Bool
    
    public init(isShow: Binding<Bool>) {
        self._isShow = isShow
    }
    
    public var body: some View {
        ZStack(alignment: .topLeading) {
            Color.white
                .frame(height: 120)
                .cornerRadius(8)
            Text("Произошла ошибка\nНу вот опять")
                .robotoFlex(size: 20, font: .black)
                .tracking(0.38)
                .lineSpacing(2.8)
                .padding(.top, 24)
                .padding(.leading, 20)
            HStack {
                Spacer()
                Button {
                    isShow = false
                    print("no")
                } label: {
                    Image("dismiss", bundle: .module)
                        .offset(y: -14)
                        .offset(x: 11)
                }
            }

        }.frame(maxWidth: .infinity)
            .padding()
            .onAppear {
                DispatchQueue.main.asyncAfter(deadline: .now() + 5) {
                    withAnimation {
                        isShow = false
                    }
                }
            }
        
    }
}

#Preview {
    SnackBarView(isShow: .constant(true))
}
